=== clients/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=1216)
add_subdirectory( aurorae )
