## kwin 5.2.2a

=== debian/changelog ===
kwin (4:5.2.2a-0ubuntu1) vivid; urgency=medium

  * New upstream release 
  * New upstream tar. 
  * Append a to version so launchpad accepts new tar.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:33:08 -0700

kwin (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release 
  * Batchpatch symbols file. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:42:26 -0800

kwin (4:5.2.0.1-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Soversion bump properly
  * Rename packages for 5->6 transition in library version
  * Update install accordingly
    + Apply more restrictive wildcards to prevent sobumps slip past us
  * New lib packages break/replace the old ones <<5.2.0 because the
    pre-release packages were uploaded with libfoo.so.6 in the .so.5 packages

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:54:41 +0100

kwin (4:5.1.95-0ubuntu2) vivid; urgency=medium

  * version kwayland build-dep

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Jan 2015 12:30:57 +0100

kwin (4:5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:31:59 +0100

kwin (4:5.1.2-0ubuntu1) vivid; urgency=medium

  * remove obsolete patch kubuntu_kf5-version.diff
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 15 Dec 2014 13:22:19 +0100

kwin (4:5.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * New package libkwinglesutils5 on armhf

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:47:53 +0100

kwin (4:5.1.0.1-0ubuntu2) vivid; urgency=medium

  * Add install.armhf files for armhf

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 17:12:18 +0100

kwin (4:5.1.0.1-0ubuntu1) vivid; urgency=medium

  [ Jonathan Riddell ]
  * New upstream beta release
  * Add kubuntu_kf5-version.diff to build with KF5 5.2
  * Build-dep on libkf5windowsystem-dev (>= 5.3.0~)
  * Add build-dep on kwayland-dev

  [ Harald Sitter ]
  * Add/update lintian overrides
    + All manpage warnings: we don't care
    + All warnings to do with kdeinit: it's not a shared lib by design
    + All warnings to do with internal/private libs having no versioned soname

  [ Jonathan Riddell ]
  * New upstream release
  * New upstream release with fixed tar

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 13:49:05 +0200

kwin (4:5.0.2-0ubuntu1) utopic; urgency=medium

  [ Harald Sitter ]
  * switch to new pkg-kde-tools

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 17 Sep 2014 18:17:10 -0700

kwin (4:5.0.1-0ubuntu1~ubuntu14.10~ppa2) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Update watch to http://download.kde.org

  [ Jonathan Riddell ]
  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 10 Aug 2014 15:43:00 +0200

kwin (4:4.98.0-0ubuntu1) utopic; urgency=medium

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jul 2014 13:20:34 +0200

kwin (4:4.97.0-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Initial release.

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Scarlett Clark ]
  * Fix install file

  [ José Manuel Santamaría Lema ]
  * Build depend on libegl1-mesa-dev.
  * Make kwin depend on kwin-data (= ${source:Version}) instead of
    ${binary:Version}
  * Remove harcoded depends on libraries from kwin, rely on ${shlibs:Depends}
    instead.

  [ Scarlett Clark ]
  * change kwin-data to arch all

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jun 2014 10:25:41 +0100
